package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.EquipmentTreeDto;
import com.junmp.jyzb.api.bean.dto.EquipmentTypeDto;
import com.junmp.jyzb.api.bean.query.QueryEquipmentTypeReq;
import com.junmp.jyzb.api.bean.req.UpdateEquipmentTypeReq;
import com.junmp.jyzb.entity.EquipmentType;
import com.junmp.jyzb.utils.ResponseResult;

import java.util.List;
import java.util.Map;

public interface EquipmentTypeService extends IService<EquipmentType> {

    Boolean addEquipment(QueryEquipmentTypeReq req );

    ResponseResult calculationEquipmentId();

    Boolean deleteEquipment(QueryEquipmentTypeReq req);

    Boolean updateEquipment(QueryEquipmentTypeReq msg);

    Boolean changeEquipmentState(UpdateEquipmentTypeReq req);

    List<EquipmentTreeDto> getEquipmentList(QueryEquipmentTypeReq req);

    EquipmentTypeDto getEquipment(QueryEquipmentTypeReq req );

    ResponseResult showEquipmentChildren(Map<String, Object> msg);

    ResponseResult setTypeParentIds();


    ResponseResult getEquipmentDevelop();
}
