package com.junmp.jyzb.api.bean.query;

import com.junmp.v2.common.bean.request.BaseRequest;
import com.junmp.v2.common.bean.request.ValidationApi;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class QueryEquipmentTypeReq extends BaseRequest {
    @NotNull(message = "装备主键不能为空", groups = {ValidationApi.edit.class, ValidationApi.delete.class, ValidationApi.detail.class})
    private String id;
    @NotNull(message = "状态不能为空", groups = { ValidationApi.delete.class})
    private String state;

    private String unitType;

    private String code;

    private String name;

    private String note;

    private String parentId;

    private int warrantyPeriod;

    private int maintenancePeriod;

    private int type;

    private List<String> supplierList;
}

